<?php

namespace Plainwork\Ui\Component;

class HtmlElement extends AbstractTag
{
    public function __construct(string $tag, ...$children)
    {
        $this->tag = $tag;
        foreach ($children as $child) {
            $this->append($child);
        }
    }
}
